### Hierarchy

- unknown
  - RawTransactionInput

## Index

### Constructors

- constructor

### Methods

- getIndex
- getParentTransaction
- getParentTransaction_asB64
- getParentTransaction_asU8
- getValue
- serializeBinary
- setIndex
- setParentTransaction
- setValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RawTransactionInput(): RawTransactionInput

- Inherited from jspb.Message.constructor

  #### Returns RawTransactionInput

## Methods

### getIndex

- getIndex(): number

- - Defined in src/protobuf/pb_pb.d.ts:4027

  #### Returns number

### getParentTransaction

- getParentTransaction(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4030

  #### Returns string | Uint8Array

### getParentTransaction_asB64

- getParentTransaction_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:4032

  #### Returns string

### getParentTransaction_asU8

- getParentTransaction_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4031

  #### Returns Uint8Array

### getValue

- getValue(): number

- - Defined in src/protobuf/pb_pb.d.ts:4035

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4038

  #### Returns Uint8Array

### setIndex

- setIndex(value: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:4028

  #### Parameters

  - ##### value: number

  #### Returns RawTransactionInput

### setParentTransaction

- setParentTransaction(value: string | Uint8Array): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:4033

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RawTransactionInput

### setValue

- setValue(value: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:4036

  #### Parameters

  - ##### value: number

  #### Returns RawTransactionInput

### toObject

- toObject(includeInstance?: boolean): RawTransactionInput . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4039

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RawTransactionInput . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:4042

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RawTransactionInput

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RawTransactionInput, reader: BinaryReader): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:4043

  #### Parameters

  - ##### message: RawTransactionInput

  - ##### reader: BinaryReader

  #### Returns RawTransactionInput

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RawTransactionInput, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4041

  #### Parameters

  - ##### message: RawTransactionInput

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RawTransactionInput ): RawTransactionInput . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4040

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RawTransactionInput

  #### Returns RawTransactionInput . AsObject

Generated using TypeDoc